Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403389 - media-tv/tvtime-1.0.2_p20110131-r3 configure error - configure: error: asound needed
Summary: media-tv/tvtime-1.0.2_p20110131-r3 configure error - configure: error: asound...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Television related Applications in Gentoo's Portage
URL:
Whiteboard:
Keywords:
Depends on: 424289
Blocks:
  Show dependency tree
 
Reported: 2012-02-13 12:19 UTC by Piotr Szymaniak
Modified: 2013-08-02 19:23 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/tmp/Build.log (Build.log,11.43 KB, text/plain)
2012-02-13 12:19 UTC, Piotr Szymaniak
Details
config.log (config.log,63.65 KB, text/plain)
2012-02-13 14:47 UTC, Piotr Szymaniak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Szymaniak 2012-02-13 12:19:20 UTC
[ebuild  N    ] x11-proto/xproto-7.0.22  USE="-doc" 
[ebuild  N    ] x11-proto/xextproto-7.2.0  USE="-doc" 
[ebuild  N    ] x11-proto/inputproto-2.1 
[ebuild  N    ] x11-libs/xtrans-1.2.6  USE="-doc" 
[ebuild  N    ] media-libs/libpng-1.5.8  USE="-apng (-neon) -static-libs" 
[ebuild  N    ] media-libs/freetype-2.4.8  USE="bzip2 -X -auto-hinter -bindist -debug -doc -fontforge -static-libs -utils" 
[ebuild  N    ] x11-proto/recordproto-1.14.1  USE="-doc" 
[ebuild  N    ] x11-proto/xf86vidmodeproto-2.3.1 
[ebuild  N    ] x11-proto/videoproto-2.3.1 
[ebuild  N    ] x11-proto/kbproto-1.0.5 
[ebuild  N    ] x11-proto/xf86bigfontproto-1.2.0 
[ebuild  N    ] media-fonts/font-util-1.2.0 
[ebuild  N    ] x11-misc/util-macros-1.16.1 
[ebuild  N    ] x11-proto/xcb-proto-1.7 
[ebuild  N    ] dev-libs/libpthread-stubs-0.3  USE="-static-libs" 
[ebuild  N    ] dev-libs/libgpg-error-1.10-r1  USE="nls -common-lisp -static-libs" 
[ebuild  N    ] x11-libs/libICE-1.0.7  USE="ipv6 -doc -static-libs" 
[ebuild  N    ] x11-libs/libXau-1.0.6  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXdmcp-1.1.0  USE="-doc -static-libs" 
[ebuild  N    ] dev-libs/libgcrypt-1.5.0-r1  USE="-static-libs" 
[ebuild  N    ] x11-libs/libSM-1.2.0  USE="ipv6 uuid -doc -static-libs" 
[ebuild  N    ] dev-libs/libxslt-1.1.26-r3  USE="crypt -debug -python -static-libs" 
[ebuild  N    ] x11-libs/libxcb-1.8  USE="-doc (-selinux) -static-libs" 
[ebuild  N    ] x11-libs/libX11-1.4.4  USE="ipv6 -doc -static-libs -test" 
[ebuild  N    ] x11-libs/libXext-1.3.0  USE="-doc -static-libs" 
[ebuild  N    ] x11-libs/libXv-1.0.6  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXxf86vm-1.1.1  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXi-1.5.0  USE="-doc -static-libs" 
[ebuild  N    ] x11-libs/libXtst-1.2.0  USE="-doc -static-libs" 
[ebuild  N    ] media-tv/tvtime-1.0.2_p20110131-r3  USE="nls (-alsa) -xinerama" 



Portage 2.1.10.45 (default/linux/x86/10.0, gcc-4.6.2, glibc-2.14.1-r2, 3.2.5 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.2.5-i686-Intel-R-_Pentium-R-_4_CPU_2.60GHz-with-gentoo-2.1
Timestamp of tree: Fri, 10 Feb 2012 22:45:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.3
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.2 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Os -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--load-average 5 --jobs 3"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.ift.uni.wroc.pl/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync1.pl.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 modules mudflap ncurses nls nptl nptlonly openmp pam pcre pppd readline session ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Piotr Szymaniak 2012-02-13 12:19:51 UTC
Created attachment 301767 [details]
/tmp/Build.log

Build.log
Comment 2 Rafał Mużyło 2012-02-13 14:08:22 UTC
...and the question is "what's in that config.log ?".
Comment 3 Piotr Szymaniak 2012-02-13 14:47:51 UTC
Created attachment 301783 [details]
config.log

config.log
Comment 4 Rafał Mużyło 2012-02-13 17:09:24 UTC
/usr/lib/gcc/i686-pc-linux-gnu/4.6.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lasound

then again, useflag seems to be masked.
Comment 5 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-09 14:32:00 UTC
I'm no longer maintaining the package, I suggest the herd drops the alsa patches again which should 'resolve' the issue.
Comment 6 Peter Stuge 2013-03-23 01:22:19 UTC
It doesn't look like alsa is optional in current upstream git at http://git.linuxtv.org/tvtime.git so I think the fix is to simply remove IUSE=alsa and make RDEPEND=media-lib/alsa-libs unconditional.
Comment 7 Sergey Popov gentoo-dev 2013-04-23 18:49:55 UTC
Do NOT CC arch teams yourself, please
Comment 8 markus wolff 2013-04-23 18:56:57 UTC
+1 

as i -accidently- wrote in 424289...
alsa should not be a dependency of this program.
Reasons:
-hardware sound outputs, 
-alsa always sucked, 
-no other program with "OSD"like menu   

or put it that way:
all in-tree programs work together with alsa...?  :o
Comment 9 markus wolff 2013-04-23 18:59:33 UTC
(In reply to comment #7)
> Do NOT CC arch teams yourself, please

sorry, the formular did it ;)
Comment 10 Peter Stuge 2013-04-23 19:21:17 UTC
(In reply to comment #8)
> alsa should not be a dependency of this program.

Sorry, I don't understand your point.

This is the Gentoo bugtracker, it is the wrong place to make decisions about what should and should not be a dependency of a given program.


> Reasons:
> -hardware sound outputs, 
> -alsa always sucked, 
> -no other program with "OSD"like menu   
> 
> or put it that way:
> all in-tree programs work together with alsa...?  :o

I'm afraid I don't understand what you want to say with the above. Feel free to send me a direct email in german if that helps.

The fact is that the upstream code unconditionally requires ALSA in order to compile. Maybe that should be fixed, but Gentoo isn't the right place. We should however make sure to model the dependencies correctly in the ebuild, so I still think alsa needs to be unconditional in RDEPEND.
Comment 11 Samuli Suominen gentoo-dev 2013-08-02 19:23:53 UTC
media-tv/tvtime was removed from portage wrt bug #424289